/// \file
// Range v3 library
//
//  Copyright Eric Niebler 2013-present
//
//  Use, modification and distribution is subject to the
//  Boost Software License, Version 1.0. (See accompanying
//  file LICENSE_1_0.txt or copy at
//  http://www.boost.org/LICENSE_1_0.txt)
//
// Project home: https://github.com/ericniebler/range-v3
//

#ifndef RANGES_V3_CORE_HPP
#define RANGES_V3_CORE_HPP

#include <range/v3/begin_end.hpp>
#include <range/v3/distance.hpp>
#include <range/v3/empty.hpp>
#include <range/v3/range_concepts.hpp>
#include <range/v3/view_facade.hpp>
#include <range/v3/view_adaptor.hpp>
#include <range/v3/range_access.hpp>
#include <range/v3/view_interface.hpp>
#include <range/v3/range_for.hpp>
#include <range/v3/index.hpp>
#include <range/v3/at.hpp>
#include <range/v3/back.hpp>
#include <range/v3/front.hpp>
#include <range/v3/istream_range.hpp>
#include <range/v3/getlines.hpp>
#include <range/v3/iterator_range.hpp>
#include <range/v3/range_traits.hpp>
#include <range/v3/size.hpp>
#include <range/v3/to_container.hpp>
#include <range/v3/utility/common_iterator.hpp>

#endif
